# Uses of Enum Class
java.nio.file.attribute.AclEntryPermission

Packages that use AclEntryPermission
Package
Description
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.

## Uses of AclEntryPermission in java.nio.file.attribute

Subclasses with type arguments of type AclEntryPermission in java.nio.file.attribute
Modifier and Type
Class
Description
`enum`
`AclEntryPermission`
Defines the permissions for use with the permissions component of an ACL `entry`.
Fields in java.nio.file.attribute declared as AclEntryPermission
Modifier and Type
Field
Description
`static final AclEntryPermission`
AclEntryPermission.`ADD_FILE`
Permission to add a new file to a directory (equal to `AclEntryPermission.WRITE_DATA`)
`static final AclEntryPermission`
AclEntryPermission.`ADD_SUBDIRECTORY`
Permission to create a subdirectory to a directory (equal to `AclEntryPermission.APPEND_DATA`)
`static final AclEntryPermission`
AclEntryPermission.`LIST_DIRECTORY`
Permission to list the entries of a directory (equal to `AclEntryPermission.READ_DATA`)
Methods in java.nio.file.attribute that return AclEntryPermission
Modifier and Type
Method
Description
`static AclEntryPermission`
AclEntryPermission.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AclEntryPermission[]`
AclEntryPermission.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.nio.file.attribute that return types with arguments of type AclEntryPermission
Modifier and Type
Method
Description
`Set<AclEntryPermission>`
AclEntry.`permissions()`
Returns a copy of the permissions component.
Methods in java.nio.file.attribute with parameters of type AclEntryPermission
Modifier and Type
Method
Description
`AclEntry.Builder`
AclEntry.Builder.`setPermissions(AclEntryPermission... perms)`
Sets the permissions component of this builder.
Method parameters in java.nio.file.attribute with type arguments of type AclEntryPermission
Modifier and Type
Method
Description
`AclEntry.Builder`
AclEntry.Builder.`setPermissions(Set<AclEntryPermission> perms)`
Sets the permissions component of this builder.